com.streambase.sb

## Class SchemaUtil.FieldConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.sb.StreamBaseException
      - - com.streambase.sb.operator.TypecheckException
        - - com.streambase.sb.ApplicationValidationException
          - - com.streambase.sb.SemanticValidationException
            - - com.streambase.sb.SchemaUtil.FieldConflictException

- All Implemented Interfaces:
    LocatedItem, Serializable
  Enclosing class:
    SchemaUtil

      public static class SchemaUtil.FieldConflictException
      extends SemanticValidationException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldConflictException(LocatedItem loc, String msg, int originIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOriginIndex()`

    - ### Methods inherited from class com.streambase.sb.StreamBaseException

      `asXmlStringSingle, asXmlStringStrict, asXmlStringStrict, equals, getParams, hashCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.streambase.sb.util.LocatedItem

      `getLocation`

- - ### Constructor Detail

    - #### FieldConflictException

          public FieldConflictException(LocatedItem loc,
                                        String msg,
                                        int originIndex)

  - ### Method Detail

    - #### getOriginIndex

          public int getOriginIndex()

      Returns:
        the index of the schema that caused this field conflict

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.